Package: org.apache.groovy.util.concurrent.concurrentlinkedhashmap

## [Java] Interface EvictionListener<K, V>

-     @ThreadSafe
      public interface EvictionListener<K, V>

  A listener registered for notification when an entry is evicted. An instance may be called concurrently by multiple threads to process entries. An implementation should avoid performing blocking calls or synchronizing on shared resources.

  The listener is invoked by ConcurrentLinkedHashMap on a caller's thread and will not block other threads from operating on the map. An implementation should be aware that the caller's thread will not expect long execution times or failures as a side effect of the listener being notified. Execution safety and a fast turn around time can be achieved by performing the operation asynchronously, such as by submitting a task to an ExecutorService.

  See Also:
    http://code.google.com/p/concurrentlinkedhashmap/

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `onEviction(K key, V value)` A call-back notification that the entry was evicted.

- - ### Method Detail

    - #### public void onEviction(K key, V value)

      A call-back notification that the entry was evicted.

      Parameters:
        `key` - the entry's key
        `value` - the entry's value